curl --request GET \
--url https://api.example.com/api/v0/repositories/all-findingsimport requests
url = "https://api.example.com/api/v0/repositories/all-findings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v0/repositories/all-findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v0/repositories/all-findings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v0/repositories/all-findings"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v0/repositories/all-findings")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v0/repositories/all-findings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"findings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"attributedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"status": "new",
"severity": "critical",
"relatedFiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"lines": {
"start": 123,
"end": 123
},
"language": "<string>",
"relevantContent": "<string>"
}
],
"createdBy": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"repositoryRole": "client",
"avatar": "<string>",
"isBot": true,
"createdAt": "2023-11-07T05:31:56Z",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pingsLeft": 123,
"reputation": 123,
"disabledAt": "2023-11-07T05:31:56Z",
"deletedFromRepoAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"locked": true,
"hasUnreadComments": true,
"unreadCommentsNumber": 123,
"repository": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "scoping",
"status": "draft",
"userRole": "client",
"allowedSeverities": [
"critical"
]
},
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>"
},
"reward": "<string>",
"fixedBy": [
"<string>"
],
"duplicateOf": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"status": "new",
"title": "<string>"
},
"duplicates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"status": "new",
"title": "<string>"
}
],
"duplicateGroup": {
"description": "<string>",
"findings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"status": "new",
"title": "<string>"
}
]
},
"likelihood": "high",
"impact": "high",
"quality": "high",
"category": "<string>",
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "red",
"isSystem": true,
"reviewerRead": true,
"reviewerUse": true,
"description": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"assignedTo": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"repositoryRole": "client",
"avatar": "<string>",
"isBot": true,
"createdAt": "2023-11-07T05:31:56Z",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pingsLeft": 123,
"reputation": 123,
"disabledAt": "2023-11-07T05:31:56Z",
"deletedFromRepoAt": "2023-11-07T05:31:56Z"
},
"assetGroup": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"outOfScope": true,
"rewards": [
{
"severity": "critical",
"minReward": "<string>",
"maxReward": "<string>"
}
],
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"reference": "<string>"
}
],
"subGroups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"reference": "<string>"
}
],
"description": "<string>"
}
]
},
"lastCommentAt": "2023-11-07T05:31:56Z",
"safeHarborAssets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
}
],
"note": "<string>",
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentStatus": "planned"
}
],
"filteredTotal": 123,
"nextValue": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}List findings across repositories the user has access to.
Notes
This is only implemented for triagers. Other roles are not yet considered and the results are unspecified and will change between releases.
Access control rules
- The requester must have access to at least one repository.
curl --request GET \
--url https://api.example.com/api/v0/repositories/all-findingsimport requests
url = "https://api.example.com/api/v0/repositories/all-findings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v0/repositories/all-findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v0/repositories/all-findings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v0/repositories/all-findings"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v0/repositories/all-findings")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v0/repositories/all-findings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"findings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"attributedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"status": "new",
"severity": "critical",
"relatedFiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"lines": {
"start": 123,
"end": 123
},
"language": "<string>",
"relevantContent": "<string>"
}
],
"createdBy": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"repositoryRole": "client",
"avatar": "<string>",
"isBot": true,
"createdAt": "2023-11-07T05:31:56Z",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pingsLeft": 123,
"reputation": 123,
"disabledAt": "2023-11-07T05:31:56Z",
"deletedFromRepoAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"locked": true,
"hasUnreadComments": true,
"unreadCommentsNumber": 123,
"repository": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "scoping",
"status": "draft",
"userRole": "client",
"allowedSeverities": [
"critical"
]
},
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>"
},
"reward": "<string>",
"fixedBy": [
"<string>"
],
"duplicateOf": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"status": "new",
"title": "<string>"
},
"duplicates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"status": "new",
"title": "<string>"
}
],
"duplicateGroup": {
"description": "<string>",
"findings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"status": "new",
"title": "<string>"
}
]
},
"likelihood": "high",
"impact": "high",
"quality": "high",
"category": "<string>",
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "red",
"isSystem": true,
"reviewerRead": true,
"reviewerUse": true,
"description": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"assignedTo": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"repositoryRole": "client",
"avatar": "<string>",
"isBot": true,
"createdAt": "2023-11-07T05:31:56Z",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pingsLeft": 123,
"reputation": 123,
"disabledAt": "2023-11-07T05:31:56Z",
"deletedFromRepoAt": "2023-11-07T05:31:56Z"
},
"assetGroup": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"outOfScope": true,
"rewards": [
{
"severity": "critical",
"minReward": "<string>",
"maxReward": "<string>"
}
],
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"reference": "<string>"
}
],
"subGroups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"reference": "<string>"
}
],
"description": "<string>"
}
]
},
"lastCommentAt": "2023-11-07T05:31:56Z",
"safeHarborAssets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
}
],
"note": "<string>",
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentStatus": "planned"
}
],
"filteredTotal": 123,
"nextValue": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}Query Parameters
What ordering to apply, defaults to ordering by number. Ordering of findings to use.
number_desc, number_asc, status_asc, status_desc, severity_asc, severity_desc, reputation_asc, reputation_desc, username_asc, username_desc, created_at_asc, created_at_desc, last_updated_at_asc, last_updated_at_desc, reward_asc, reward_desc, last_comment_desc, last_comment_asc Pagination value.
When this route is first used it returns a next_value, when set as the
next value it will return the next set of items, implementing
pagination.
Notes
All the same filtering options (i.e. path and status) MUST be used
between requests, otherwise findings might be skipped and/or returned
twice (in two different requests).
Limits the findings to the findings with one of the statuses in this array. If this is not set it will return all findings regardless of their status.
Format is a comma separated list, e.g. new,confirmed.
Status of a [Finding].
Note that the in_review status is only applicable within bounties.
new, in_review, disputed, rejected, spam, duplicate, confirmed, acknowledged, fixed, withdrawn Whether or not to include duplicates.
If set to true duplicate findings are returned. If set to false only unique findings and root findings (findings of which other findings are marked as a duplicate) are returned.
Defaults to true, i.e. returning all findings (duplicates included).
Limits the findings to the findings with one of the severity in this array. If this is not set it will return all findings regardless of their severity.
Format is a comma separated list, e.g. high,low.
Severity of a [Finding].
critical, high, medium, low, informational, gas_optimization Present filter for findings based on a [BaseFindingView].
Note: If additional query parameters are provided alongside filter_for,
they will be combined with the filtering logic using an AND operator.
A predefined filters for findings.
client_recommended, with_duplicates, require_review Response
List of findings
List of [Finding]`s.